%define tarball xf86-video-nv
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

%define cvsdate xxxxxxx

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Xorg X11 nv video driver
Name:      	xorg-x11-drv-nv
Version:   	2.1.13
Release:   	1
URL:       	http://www.x.org
License:   	MIT/X11
Group:     	User Interface/X Hardware Support
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:   	ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2
Source1:   	nv.xinf

ExclusiveArch: 	%{ix86} x86_64 ia64

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-server-sdk

Requires:  	xorg-x11-server-Xorg
Obsoletes:	Xdriver-nv

Patch4:     nv-reserve-fbarea.patch
Patch5:	    nv-2.1.6-starvation.patch
Patch6:	    nv-2.1.6-panel-fix.patch
Patch7:	    nv-save-rom.patch
Patch9:	    nv-2.1.8-g80-no-doublescan.patch
Patch10:    nv-2.1.12-gf7025-gf7050.patch


%description 
X.Org X11 nv video driver.

%prep
%setup -q -n %{tarball}-%{version}
%patch4 -p1 -b .reserve-fbarea
%patch5 -p1 -b .starve
%patch6 -p1 -b .panel
%patch7 -p1 -b .save-rom
%patch9 -p1 -b .doublescan
%patch10 -p1 -b .nv6x


%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{moduledir}
%dir %{driverdir}
%{driverdir}/nv_drv.so
#%{driverdir}/riva128.so
%{_datadir}/hwdata/videoaliases/nv.xinf
#%dir %{_mandir}/man4x
%{_mandir}/man4/nv.4*

%changelog
* Sat May 23 2009 Christian Metzen <metzench@ccux-linux.de> 2.1.13-1
- Version update
* Sun Feb 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.1.7-1
- Version update
* Sat Nov 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.1.6-1
- Version update
* Sun Oct 07 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.1.5-1
- Version update
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.1.3-2
- rebuilt against X.org 7.3
* Sun Aug 19 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.1.3-1
- Version update
* Tue Aug 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.1.2-1
- Version update
* Mon Sep 11 2006 Christian Metzen <metzench@ccux-linux.de> 1.2.0-1
- Initial release
